org.apache.ignite.cache.affinity

## Class AffinityUuid

- java.lang.Object
- - org.apache.ignite.cache.affinity.AffinityKey<IgniteUuid>
  - - org.apache.ignite.cache.affinity.AffinityUuid

All Implemented Interfaces:
  Externalizable, Serializable

    public class AffinityUuid
    extends AffinityKey<IgniteUuid>

Guaranteed unique affinity-based key.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`AffinityUuid()` Empty constructor.
`AffinityUuid(Object affKey)` Constructs unique affinity UUID based on affinity key.

### Method Summary

Methods
`String` `toString()`

### Methods inherited from class org.apache.ignite.cache.affinity.AffinityKey

`affinityKey, affinityKey, equals, hashCode, key, key, readExternal, writeExternal`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AffinityUuid

    public AffinityUuid()

Empty constructor.

#### AffinityUuid

    public AffinityUuid(Object affKey)

Constructs unique affinity UUID based on affinity key.

Parameters:
  `affKey` - Affinity key to use for collocation.

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `AffinityKey<IgniteUuid>`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.4.0
Release Date | : September 24 2015